package com.mortals.xhx.module.dept.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.dept.model.DeptEntity;
import com.mortals.xhx.module.dept.model.DeptQuery;
import com.mortals.xhx.module.dept.model.vo.DeptVo;
import com.mortals.xhx.module.matter.model.MatterEntity;

import java.util.List;
/**
* 部门Dao
* 部门 DAO接口
*
* @author zxfei
* @date 2022-01-12
*/
public interface  DeptDao extends ICRUDDao<DeptEntity,Long>{

    String GET_DEPT_LIST_BY_BUSINESS = "getDeptListByBusiness";
    String GET_BUSINESS_BY_DEPT = "getBusinessByDept";

    List<DeptVo> getDeptListByBusiness(DeptQuery deptQuery);

    List<DeptVo> getBusinessByDept(DeptQuery deptQuery);

}
