package com.mortals.xhx.module.site.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.site.model.SiteDatumLibraryEntity;
/**
* SiteDatumLibraryService
*
* 站点材料公共库 service接口
*
* @author zxfei
* @date 2023-03-10
*/
public interface SiteDatumLibraryService extends ICRUDService<SiteDatumLibraryEntity,Long>{

    /**
     * 添加公共库到材料
     *
     * @param libraryIds
     * @param context
     */
    Rest<String> addToMatterDatum(String libraryIds, Long matterId, Context context);
}